XMLEventFactoryImpl (Xerces2 Implementation)
Date: 2016-02-03

org.apache.xerces.stax

## Class XMLEventFactoryImpl

- java.lang.Object
- - javax.xml.stream.XMLEventFactory
  - - org.apache.xerces.stax.XMLEventFactoryImpl

-     public final class XMLEventFactoryImpl
      extends javax.xml.stream.XMLEventFactory

  Implementation of XMLEventFactory.

  Version:
    $Id: XMLEventFactoryImpl.java 730796 2009-01-02 17:36:23Z mrglavas $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLEventFactoryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.stream.events.Attribute` | `createAttribute(javax.xml.namespace.QName name, java.lang.String value)`
    `javax.xml.stream.events.Attribute` | `createAttribute(java.lang.String localName, java.lang.String value)`
    `javax.xml.stream.events.Attribute` | `createAttribute(java.lang.String prefix, java.lang.String namespaceURI, java.lang.String localName, java.lang.String value)`
    `javax.xml.stream.events.Characters` | `createCData(java.lang.String content)`
    `javax.xml.stream.events.Characters` | `createCharacters(java.lang.String content)`
    `javax.xml.stream.events.Comment` | `createComment(java.lang.String text)`
    `javax.xml.stream.events.DTD` | `createDTD(java.lang.String dtd)`
    `javax.xml.stream.events.EndDocument` | `createEndDocument()`
    `javax.xml.stream.events.EndElement` | `createEndElement(javax.xml.namespace.QName name, java.util.Iterator namespaces)`
    `javax.xml.stream.events.EndElement` | `createEndElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName)`
    `javax.xml.stream.events.EndElement` | `createEndElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName, java.util.Iterator namespaces)`
    `javax.xml.stream.events.EntityReference` | `createEntityReference(java.lang.String name, javax.xml.stream.events.EntityDeclaration declaration)`
    `javax.xml.stream.events.Characters` | `createIgnorableSpace(java.lang.String content)`
    `javax.xml.stream.events.Namespace` | `createNamespace(java.lang.String namespaceURI)`
    `javax.xml.stream.events.Namespace` | `createNamespace(java.lang.String prefix, java.lang.String namespaceUri)`
    `javax.xml.stream.events.ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)`
    `javax.xml.stream.events.Characters` | `createSpace(java.lang.String content)`
    `javax.xml.stream.events.StartDocument` | `createStartDocument()`
    `javax.xml.stream.events.StartDocument` | `createStartDocument(java.lang.String encoding)`
    `javax.xml.stream.events.StartDocument` | `createStartDocument(java.lang.String encoding, java.lang.String version)`
    `javax.xml.stream.events.StartDocument` | `createStartDocument(java.lang.String encoding, java.lang.String version, boolean standalone)`
    `javax.xml.stream.events.StartElement` | `createStartElement(javax.xml.namespace.QName name, java.util.Iterator attributes, java.util.Iterator namespaces)`
    `javax.xml.stream.events.StartElement` | `createStartElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName)`
    `javax.xml.stream.events.StartElement` | `createStartElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName, java.util.Iterator attributes, java.util.Iterator namespaces)`
    `javax.xml.stream.events.StartElement` | `createStartElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName, java.util.Iterator attributes, java.util.Iterator namespaces, javax.xml.namespace.NamespaceContext context)`
    `void` | `setLocation(javax.xml.stream.Location location)`

    - ### Methods inherited from class javax.xml.stream.XMLEventFactory

      `newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLEventFactoryImpl

          public XMLEventFactoryImpl()

  - ### Method Detail

    - #### setLocation

          public void setLocation(javax.xml.stream.Location location)

      Specified by:
        `setLocation` in class `javax.xml.stream.XMLEventFactory`

    - #### createAttribute

          public javax.xml.stream.events.Attribute createAttribute(java.lang.String prefix,
                                                          java.lang.String namespaceURI,
                                                          java.lang.String localName,
                                                          java.lang.String value)

      Specified by:
        `createAttribute` in class `javax.xml.stream.XMLEventFactory`

    - #### createAttribute

          public javax.xml.stream.events.Attribute createAttribute(java.lang.String localName,
                                                          java.lang.String value)

      Specified by:
        `createAttribute` in class `javax.xml.stream.XMLEventFactory`

    - #### createAttribute

          public javax.xml.stream.events.Attribute createAttribute(javax.xml.namespace.QName name,
                                                          java.lang.String value)

      Specified by:
        `createAttribute` in class `javax.xml.stream.XMLEventFactory`

    - #### createNamespace

          public javax.xml.stream.events.Namespace createNamespace(java.lang.String namespaceURI)

      Specified by:
        `createNamespace` in class `javax.xml.stream.XMLEventFactory`

    - #### createNamespace

          public javax.xml.stream.events.Namespace createNamespace(java.lang.String prefix,
                                                          java.lang.String namespaceUri)

      Specified by:
        `createNamespace` in class `javax.xml.stream.XMLEventFactory`

    - #### createStartElement

          public javax.xml.stream.events.StartElement createStartElement(javax.xml.namespace.QName name,
                                                                java.util.Iterator attributes,
                                                                java.util.Iterator namespaces)

      Specified by:
        `createStartElement` in class `javax.xml.stream.XMLEventFactory`

    - #### createStartElement

          public javax.xml.stream.events.StartElement createStartElement(java.lang.String prefix,
                                                                java.lang.String namespaceUri,
                                                                java.lang.String localName)

      Specified by:
        `createStartElement` in class `javax.xml.stream.XMLEventFactory`

    - #### createStartElement

          public javax.xml.stream.events.StartElement createStartElement(java.lang.String prefix,
                                                                java.lang.String namespaceUri,
                                                                java.lang.String localName,
                                                                java.util.Iterator attributes,
                                                                java.util.Iterator namespaces)

      Specified by:
        `createStartElement` in class `javax.xml.stream.XMLEventFactory`

    - #### createStartElement

          public javax.xml.stream.events.StartElement createStartElement(java.lang.String prefix,
                                                                java.lang.String namespaceUri,
                                                                java.lang.String localName,
                                                                java.util.Iterator attributes,
                                                                java.util.Iterator namespaces,
                                                                javax.xml.namespace.NamespaceContext context)

      Specified by:
        `createStartElement` in class `javax.xml.stream.XMLEventFactory`

    - #### createEndElement

          public javax.xml.stream.events.EndElement createEndElement(javax.xml.namespace.QName name,
                                                            java.util.Iterator namespaces)

      Specified by:
        `createEndElement` in class `javax.xml.stream.XMLEventFactory`

    - #### createEndElement

          public javax.xml.stream.events.EndElement createEndElement(java.lang.String prefix,
                                                            java.lang.String namespaceUri,
                                                            java.lang.String localName)

      Specified by:
        `createEndElement` in class `javax.xml.stream.XMLEventFactory`

    - #### createEndElement

          public javax.xml.stream.events.EndElement createEndElement(java.lang.String prefix,
                                                            java.lang.String namespaceUri,
                                                            java.lang.String localName,
                                                            java.util.Iterator namespaces)

      Specified by:
        `createEndElement` in class `javax.xml.stream.XMLEventFactory`

    - #### createCharacters

          public javax.xml.stream.events.Characters createCharacters(java.lang.String content)

      Specified by:
        `createCharacters` in class `javax.xml.stream.XMLEventFactory`

    - #### createCData

          public javax.xml.stream.events.Characters createCData(java.lang.String content)

      Specified by:
        `createCData` in class `javax.xml.stream.XMLEventFactory`

    - #### createSpace

          public javax.xml.stream.events.Characters createSpace(java.lang.String content)

      Specified by:
        `createSpace` in class `javax.xml.stream.XMLEventFactory`

    - #### createIgnorableSpace

          public javax.xml.stream.events.Characters createIgnorableSpace(java.lang.String content)

      Specified by:
        `createIgnorableSpace` in class `javax.xml.stream.XMLEventFactory`

    - #### createStartDocument

          public javax.xml.stream.events.StartDocument createStartDocument()

      Specified by:
        `createStartDocument` in class `javax.xml.stream.XMLEventFactory`

    - #### createStartDocument

          public javax.xml.stream.events.StartDocument createStartDocument(java.lang.String encoding,
                                                                  java.lang.String version,
                                                                  boolean standalone)

      Specified by:
        `createStartDocument` in class `javax.xml.stream.XMLEventFactory`

    - #### createStartDocument

          public javax.xml.stream.events.StartDocument createStartDocument(java.lang.String encoding,
                                                                  java.lang.String version)

      Specified by:
        `createStartDocument` in class `javax.xml.stream.XMLEventFactory`

    - #### createStartDocument

          public javax.xml.stream.events.StartDocument createStartDocument(java.lang.String encoding)

      Specified by:
        `createStartDocument` in class `javax.xml.stream.XMLEventFactory`

    - #### createEndDocument

          public javax.xml.stream.events.EndDocument createEndDocument()

      Specified by:
        `createEndDocument` in class `javax.xml.stream.XMLEventFactory`

    - #### createEntityReference

          public javax.xml.stream.events.EntityReference createEntityReference(java.lang.String name,
                                                                      javax.xml.stream.events.EntityDeclaration declaration)

      Specified by:
        `createEntityReference` in class `javax.xml.stream.XMLEventFactory`

    - #### createComment

          public javax.xml.stream.events.Comment createComment(java.lang.String text)

      Specified by:
        `createComment` in class `javax.xml.stream.XMLEventFactory`

    - #### createProcessingInstruction

          public javax.xml.stream.events.ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                                                  java.lang.String data)

      Specified by:
        `createProcessingInstruction` in class `javax.xml.stream.XMLEventFactory`

    - #### createDTD

          public javax.xml.stream.events.DTD createDTD(java.lang.String dtd)

      Specified by:
        `createDTD` in class `javax.xml.stream.XMLEventFactory`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.